← OBPv7.0.0 Get Account Application by Id GET /obp/v7.0.0/banks/BANK_ID/account-applications/ACCOUNT_APPLICATION_ID OBPv3.1.0-getAccountApplication No role required Account-ApplicationAccount Get the Account Application. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: ACCOUNT_APPLICATION_ID: BANK_ID: gh.29.uk JSON response body fields (36) account_application_id amount 10.12bank_id gh.29.ukbranch_id DERBY6currency EURcustomer customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcustomer_number 5987953date 2020-01-27date_of_application 2020-01-27date_of_birth 2018-03-09dependants 1dob_of_dependants [2019-09-08, 2017-07-12]email felixsmith@example.comemployment_status workerface_image highest_education_attained Masterkyc_status falselast_ok_date 2025-11-18T15:14:33.829Zlegal_name Eveline Tripmanmobile_phone_number +49 30 901820name_suffix Srproduct_code 1234BWprovider ETHEREUMprovider_id rating relationship_status singlesource status title Dr.url http://www.example.com/id-docs/123/image.pnguser user_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1username felixsmithcredit_limit credit_rating Example success response { "account_application_id": "gc23a7e2-7dd2-4bdf-a0b4-ae31232a4763", "product_code": "1234BW", "user": { "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "email": "felixsmith@example.com", "provider_id": "Chris", "provider": "http://127.0.0.1:8080", "username": "felixsmith" }, "customer": { "bank_id": "gh.29.uk", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "customer_number": "5987953", "legal_name": "Eveline Tripman", "mobile_phone_number": "+44 07972 444 876", "email": "felixsmith@example.com", "face_image": { "url": "www.openbankproject", "date": "1100-01-01T00:00:00Z" }, "date_of_birth": "1100-01-01T00:00:00Z", "relationship_status": "single", "dependants": 1, "dob_of_dependants": [ "1100-01-01T00:00:00Z" ], "credit_rating": { "rating": "OBP", "source": "OBP" }, "credit_limit": { "currency": "EUR", "amount": "0" }, "highest_education_attained": "Master", "employment_status": "worker", "kyc_status": false, "last_ok_date": "2025-11-18T15:16:07Z", "title": "Dr.", "branch_id": "DERBY6", "name_suffix": "Sr" }, "date_of_application": "1100-01-01T00:00:00Z", "status": "REQUESTED" } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-30311: AccountApplication not found by ACCOUNT_APPLICATION_ID. OBP-50000: Unknown Error.